com.taosdata.jdbc.tmq

## Class TMQEnhMap

- java.lang.Object
- - com.taosdata.jdbc.tmq.TMQEnhMap

    public class TMQEnhMap
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TMQEnhMap(String tableName, Map<String,Object> map)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<String,Object>` `getMap()`
`String` `getTableName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TMQEnhMap

    public TMQEnhMap(String tableName,
                     Map<String,Object> map)

### Method Detail

#### getTableName

    public String getTableName()

#### getMap

    public Map<String,Object> getMap()